1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \	]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89subdir = .
90ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
91am__aclocal_m4_deps = $(top_srcdir)/configure.ac
92am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93	$(ACLOCAL_M4)
94DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
95	$(am__configure_deps) $(am__DIST_COMMON)
96am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
97 configure.lineno config.status.lineno
98mkinstalldirs = $(install_sh) -d
99CONFIG_CLEAN_FILES = pthread-stubs.pc
100CONFIG_CLEAN_VPATH_FILES =
101AM_V_P = $(am__v_P_@AM_V@)
102am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103am__v_P_0 = false
104am__v_P_1 = :
105AM_V_GEN = $(am__v_GEN_@AM_V@)
106am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107am__v_GEN_0 = @echo "  GEN     " $@;
108am__v_GEN_1 =
109AM_V_at = $(am__v_at_@AM_V@)
110am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111am__v_at_0 = @
112am__v_at_1 =
113SOURCES =
114DIST_SOURCES =
115am__can_run_installinfo = \
116  case $$AM_UPDATE_INFO_DIR in \
117    n|no|NO) false;; \
118    *) (install-info --version) >/dev/null 2>&1;; \
119  esac
120am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
121am__vpath_adj = case $$p in \
122    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
123    *) f=$$p;; \
124  esac;
125am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
126am__install_max = 40
127am__nobase_strip_setup = \
128  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
129am__nobase_strip = \
130  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
131am__nobase_list = $(am__nobase_strip_setup); \
132  for p in $$list; do echo "$$p $$p"; done | \
133  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
134  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
135    if (++n[$$2] == $(am__install_max)) \
136      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
137    END { for (dir in files) print dir, files[dir] }'
138am__base_list = \
139  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
140  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
141am__uninstall_files_from_dir = { \
142  test -z "$$files" \
143    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
144    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
145         $(am__cd) "$$dir" && rm -f $$files; }; \
146  }
147am__installdirs = "$(DESTDIR)$(pkgconfigdir)"
148DATA = $(pkgconfig_DATA)
149am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
150am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/pthread-stubs.pc.in \
151	COPYING README compile install-sh missing
152DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
153distdir = $(PACKAGE)-$(VERSION)
154top_distdir = $(distdir)
155am__remove_distdir = \
156  if test -d "$(distdir)"; then \
157    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
158      && rm -rf "$(distdir)" \
159      || { sleep 5 && rm -rf "$(distdir)"; }; \
160  else :; fi
161am__post_remove_distdir = $(am__remove_distdir)
162DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
163GZIP_ENV = --best
164DIST_TARGETS = dist-bzip2 dist-gzip
165distuninstallcheck_listfiles = find . -type f -print
166am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
167  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
168distcleancheck_listfiles = find . -type f -print
169ACLOCAL = @ACLOCAL@
170AMTAR = @AMTAR@
171AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
172AUTOCONF = @AUTOCONF@
173AUTOHEADER = @AUTOHEADER@
174AUTOMAKE = @AUTOMAKE@
175AWK = @AWK@
176CC = @CC@
177CCDEPMODE = @CCDEPMODE@
178CFLAGS = @CFLAGS@
179CPPFLAGS = @CPPFLAGS@
180CYGPATH_W = @CYGPATH_W@
181DEFS = @DEFS@
182DEPDIR = @DEPDIR@
183ECHO_C = @ECHO_C@
184ECHO_N = @ECHO_N@
185ECHO_T = @ECHO_T@
186EXEEXT = @EXEEXT@
187INSTALL = @INSTALL@
188INSTALL_DATA = @INSTALL_DATA@
189INSTALL_PROGRAM = @INSTALL_PROGRAM@
190INSTALL_SCRIPT = @INSTALL_SCRIPT@
191INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
192LDFLAGS = @LDFLAGS@
193LIBOBJS = @LIBOBJS@
194LIBS = @LIBS@
195LTLIBOBJS = @LTLIBOBJS@
196MAKEINFO = @MAKEINFO@
197MKDIR_P = @MKDIR_P@
198OBJEXT = @OBJEXT@
199PACKAGE = @PACKAGE@
200PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
201PACKAGE_NAME = @PACKAGE_NAME@
202PACKAGE_STRING = @PACKAGE_STRING@
203PACKAGE_TARNAME = @PACKAGE_TARNAME@
204PACKAGE_URL = @PACKAGE_URL@
205PACKAGE_VERSION = @PACKAGE_VERSION@
206PATH_SEPARATOR = @PATH_SEPARATOR@
207PKG_CONFIG_CFLAGS = @PKG_CONFIG_CFLAGS@
208PKG_CONFIG_LIBS = @PKG_CONFIG_LIBS@
209SET_MAKE = @SET_MAKE@
210SHELL = @SHELL@
211STRIP = @STRIP@
212VERSION = @VERSION@
213abs_builddir = @abs_builddir@
214abs_srcdir = @abs_srcdir@
215abs_top_builddir = @abs_top_builddir@
216abs_top_srcdir = @abs_top_srcdir@
217ac_ct_CC = @ac_ct_CC@
218am__include = @am__include@
219am__leading_dot = @am__leading_dot@
220am__quote = @am__quote@
221am__tar = @am__tar@
222am__untar = @am__untar@
223bindir = @bindir@
224build_alias = @build_alias@
225builddir = @builddir@
226datadir = @datadir@
227datarootdir = @datarootdir@
228docdir = @docdir@
229dvidir = @dvidir@
230exec_prefix = @exec_prefix@
231host_alias = @host_alias@
232htmldir = @htmldir@
233includedir = @includedir@
234infodir = @infodir@
235install_sh = @install_sh@
236libdir = @libdir@
237libexecdir = @libexecdir@
238localedir = @localedir@
239localstatedir = @localstatedir@
240mandir = @mandir@
241mkdir_p = @mkdir_p@
242oldincludedir = @oldincludedir@
243pdfdir = @pdfdir@
244prefix = @prefix@
245program_transform_name = @program_transform_name@
246psdir = @psdir@
247runstatedir = @runstatedir@
248sbindir = @sbindir@
249sharedstatedir = @sharedstatedir@
250srcdir = @srcdir@
251sysconfdir = @sysconfdir@
252target_alias = @target_alias@
253top_build_prefix = @top_build_prefix@
254top_builddir = @top_builddir@
255top_srcdir = @top_srcdir@
256pkgconfigdir = $(prefix)/libdata/pkgconfig
257pkgconfig_DATA = pthread-stubs.pc
258all: all-am
259
260.SUFFIXES:
261am--refresh: Makefile
262	@:
263$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
264	@for dep in $?; do \
265	  case '$(am__configure_deps)' in \
266	    *$$dep*) \
267	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
268	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
269		&& exit 0; \
270	      exit 1;; \
271	  esac; \
272	done; \
273	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
274	$(am__cd) $(top_srcdir) && \
275	  $(AUTOMAKE) --foreign Makefile
276Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
277	@case '$?' in \
278	  *config.status*) \
279	    echo ' $(SHELL) ./config.status'; \
280	    $(SHELL) ./config.status;; \
281	  *) \
282	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
283	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
284	esac;
285
286$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
287	$(SHELL) ./config.status --recheck
288
289$(top_srcdir)/configure:  $(am__configure_deps)
290	$(am__cd) $(srcdir) && $(AUTOCONF)
291$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
292	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
293$(am__aclocal_m4_deps):
294pthread-stubs.pc: $(top_builddir)/config.status $(srcdir)/pthread-stubs.pc.in
295	cd $(top_builddir) && $(SHELL) ./config.status $@
296install-pkgconfigDATA: $(pkgconfig_DATA)
297	@$(NORMAL_INSTALL)
298	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
299	if test -n "$$list"; then \
300	  echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
301	  $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
302	fi; \
303	for p in $$list; do \
304	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
305	  echo "$$d$$p"; \
306	done | $(am__base_list) | \
307	while read files; do \
308	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
309	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
310	done
311
312uninstall-pkgconfigDATA:
313	@$(NORMAL_UNINSTALL)
314	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
315	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
316	dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
317tags TAGS:
318
319ctags CTAGS:
320
321cscope cscopelist:
322
323
324distdir: $(DISTFILES)
325	$(am__remove_distdir)
326	test -d "$(distdir)" || mkdir "$(distdir)"
327	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
328	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
329	list='$(DISTFILES)'; \
330	  dist_files=`for file in $$list; do echo $$file; done | \
331	  sed -e "s|^$$srcdirstrip/||;t" \
332	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
333	case $$dist_files in \
334	  */*) $(MKDIR_P) `echo "$$dist_files" | \
335			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
336			   sort -u` ;; \
337	esac; \
338	for file in $$dist_files; do \
339	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
340	  if test -d $$d/$$file; then \
341	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
342	    if test -d "$(distdir)/$$file"; then \
343	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
344	    fi; \
345	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
346	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
347	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
348	    fi; \
349	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
350	  else \
351	    test -f "$(distdir)/$$file" \
352	    || cp -p $$d/$$file "$(distdir)/$$file" \
353	    || exit 1; \
354	  fi; \
355	done
356	-test -n "$(am__skip_mode_fix)" \
357	|| find "$(distdir)" -type d ! -perm -755 \
358		-exec chmod u+rwx,go+rx {} \; -o \
359	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
360	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
361	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
362	|| chmod -R a+r "$(distdir)"
363dist-gzip: distdir
364	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
365	$(am__post_remove_distdir)
366dist-bzip2: distdir
367	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
368	$(am__post_remove_distdir)
369
370dist-lzip: distdir
371	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
372	$(am__post_remove_distdir)
373
374dist-xz: distdir
375	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
376	$(am__post_remove_distdir)
377
378dist-tarZ: distdir
379	@echo WARNING: "Support for distribution archives compressed with" \
380		       "legacy program 'compress' is deprecated." >&2
381	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
382	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
383	$(am__post_remove_distdir)
384
385dist-shar: distdir
386	@echo WARNING: "Support for shar distribution archives is" \
387	               "deprecated." >&2
388	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
389	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
390	$(am__post_remove_distdir)
391
392dist-zip: distdir
393	-rm -f $(distdir).zip
394	zip -rq $(distdir).zip $(distdir)
395	$(am__post_remove_distdir)
396
397dist dist-all:
398	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
399	$(am__post_remove_distdir)
400
401# This target untars the dist file and tries a VPATH configuration.  Then
402# it guarantees that the distribution is self-contained by making another
403# tarfile.
404distcheck: dist
405	case '$(DIST_ARCHIVES)' in \
406	*.tar.gz*) \
407	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
408	*.tar.bz2*) \
409	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
410	*.tar.lz*) \
411	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
412	*.tar.xz*) \
413	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
414	*.tar.Z*) \
415	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
416	*.shar.gz*) \
417	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
418	*.zip*) \
419	  unzip $(distdir).zip ;;\
420	esac
421	chmod -R a-w $(distdir)
422	chmod u+w $(distdir)
423	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
424	chmod a-w $(distdir)
425	test -d $(distdir)/_build || exit 0; \
426	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
427	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
428	  && am__cwd=`pwd` \
429	  && $(am__cd) $(distdir)/_build/sub \
430	  && ../../configure \
431	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
432	    $(DISTCHECK_CONFIGURE_FLAGS) \
433	    --srcdir=../.. --prefix="$$dc_install_base" \
434	  && $(MAKE) $(AM_MAKEFLAGS) \
435	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
436	  && $(MAKE) $(AM_MAKEFLAGS) check \
437	  && $(MAKE) $(AM_MAKEFLAGS) install \
438	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
439	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
440	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
441	        distuninstallcheck \
442	  && chmod -R a-w "$$dc_install_base" \
443	  && ({ \
444	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
445	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
446	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
447	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
448	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
449	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
450	  && rm -rf "$$dc_destdir" \
451	  && $(MAKE) $(AM_MAKEFLAGS) dist \
452	  && rm -rf $(DIST_ARCHIVES) \
453	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
454	  && cd "$$am__cwd" \
455	  || exit 1
456	$(am__post_remove_distdir)
457	@(echo "$(distdir) archives ready for distribution: "; \
458	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
459	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
460distuninstallcheck:
461	@test -n '$(distuninstallcheck_dir)' || { \
462	  echo 'ERROR: trying to run $@ with an empty' \
463	       '$$(distuninstallcheck_dir)' >&2; \
464	  exit 1; \
465	}; \
466	$(am__cd) '$(distuninstallcheck_dir)' || { \
467	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
468	  exit 1; \
469	}; \
470	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
471	   || { echo "ERROR: files left after uninstall:" ; \
472	        if test -n "$(DESTDIR)"; then \
473	          echo "  (check DESTDIR support)"; \
474	        fi ; \
475	        $(distuninstallcheck_listfiles) ; \
476	        exit 1; } >&2
477distcleancheck: distclean
478	@if test '$(srcdir)' = . ; then \
479	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
480	  exit 1 ; \
481	fi
482	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
483	  || { echo "ERROR: files left in build directory after distclean:" ; \
484	       $(distcleancheck_listfiles) ; \
485	       exit 1; } >&2
486check-am: all-am
487check: check-am
488all-am: Makefile $(DATA)
489installdirs:
490	for dir in "$(DESTDIR)$(pkgconfigdir)"; do \
491	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
492	done
493install: install-am
494install-exec: install-exec-am
495install-data: install-data-am
496uninstall: uninstall-am
497
498install-am: all-am
499	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
500
501installcheck: installcheck-am
502install-strip:
503	if test -z '$(STRIP)'; then \
504	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
505	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
506	      install; \
507	else \
508	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
509	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
510	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
511	fi
512mostlyclean-generic:
513
514clean-generic:
515
516distclean-generic:
517	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
518	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
519
520maintainer-clean-generic:
521	@echo "This command is intended for maintainers to use"
522	@echo "it deletes files that may require special tools to rebuild."
523clean: clean-am
524
525clean-am: clean-generic mostlyclean-am
526
527distclean: distclean-am
528	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
529	-rm -f Makefile
530distclean-am: clean-am distclean-generic
531
532dvi: dvi-am
533
534dvi-am:
535
536html: html-am
537
538html-am:
539
540info: info-am
541
542info-am:
543
544install-data-am: install-pkgconfigDATA
545
546install-dvi: install-dvi-am
547
548install-dvi-am:
549
550install-exec-am:
551
552install-html: install-html-am
553
554install-html-am:
555
556install-info: install-info-am
557
558install-info-am:
559
560install-man:
561
562install-pdf: install-pdf-am
563
564install-pdf-am:
565
566install-ps: install-ps-am
567
568install-ps-am:
569
570installcheck-am:
571
572maintainer-clean: maintainer-clean-am
573	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
574	-rm -rf $(top_srcdir)/autom4te.cache
575	-rm -f Makefile
576maintainer-clean-am: distclean-am maintainer-clean-generic
577
578mostlyclean: mostlyclean-am
579
580mostlyclean-am: mostlyclean-generic
581
582pdf: pdf-am
583
584pdf-am:
585
586ps: ps-am
587
588ps-am:
589
590uninstall-am: uninstall-pkgconfigDATA
591
592.MAKE: install-am install-strip
593
594.PHONY: all all-am am--refresh check check-am clean clean-generic \
595	cscopelist-am ctags-am dist dist-all dist-bzip2 dist-gzip \
596	dist-lzip dist-shar dist-tarZ dist-xz dist-zip distcheck \
597	distclean distclean-generic distcleancheck distdir \
598	distuninstallcheck dvi dvi-am html html-am info info-am \
599	install install-am install-data install-data-am install-dvi \
600	install-dvi-am install-exec install-exec-am install-html \
601	install-html-am install-info install-info-am install-man \
602	install-pdf install-pdf-am install-pkgconfigDATA install-ps \
603	install-ps-am install-strip installcheck installcheck-am \
604	installdirs maintainer-clean maintainer-clean-generic \
605	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags-am \
606	uninstall uninstall-am uninstall-pkgconfigDATA
607
608.PRECIOUS: Makefile
609
610
611# Tell versions [3.59,3.63) of GNU make to not export all variables.
612# Otherwise a system limit (for SysV at least) may be exceeded.
613.NOEXPORT:
614